%global pkgvers 0
%global scdate0 20221109
%global schash0 8f406b4debc5d823d42811da7b6c2b2c8c8dfe0a
%global branch0 master
%global source0 https://github.com/litex-hub/pythondata-misc-opentitan.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-pythondata-misc-opentitan
Version:        0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Non-Python files needed for the cpu opentitan
License:        BSD
BuildArch:      noarch

URL:            https://github.com/litex-hub/pythondata-cpu-opentitan

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%description
Non-Python files needed for the cpu opentitan packaged
into a Python module so they can be used with Python
libraries and tools.


%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       pythondata-misc-opentitan

%description    python3
Non-Python files needed for the cpu opentitan packaged
into a Python module so they can be used with Python
libraries and tools.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
sed -i 's| 1b| 0b|g' pythondata_misc_opentitan/resources/hw/vendor/lowrisc_ibex/vendor/google_riscv-dv/pygen/pygen_src/riscv_instr_pkg.py
%{py3_build}


%install
%{py3_install}
find %{buildroot} -name '*.py' -exec sed -i 's|#!/usr/bin/env py.*|#!/usr/bin/python3|' {} +


%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
